## org.eclipse.emf.cdo.common
Interface CDOCommonSession

All Superinterfaces:
  org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.security.IUserAware

All Known Subinterfaces:
  CDOSession, CDOSession, InternalCDOSession, ISession

    public interface CDOCommonSession

extends org.eclipse.net4j.util.security.IUserAware, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.collection.Closeable

Since:
  2.0

Nested Class Summary
`static interface` `CDOCommonSession.Options`

Method Summary
`int` `getSessionID()`
`CDOCommonView` `getView(int viewID)`
`CDOCommonView[]` `getViews()`
`CDOCommonSession.Options` `options()`

Methods inherited from interface org.eclipse.net4j.util.security.IUserAware
`getUserID`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Method Detail

### getSessionID

    int getSessionID()

### getViews

    CDOCommonView[] getViews()

### getView

    CDOCommonView getView(int viewID)

### options

    CDOCommonSession.Options options()

  Specified by:
    `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.